CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000408CEGUICore library (CEGUIBase)public2010-11-01 20:372010-11-15 14:18
ReporterGrimmigbeisser 
Assigned ToKulik 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.4 
Target Version0.7.5Fixed in VersionMercurial: default branch 
Summary0000408: Menu system extentions
Description(1)Added support for checkable menu items
(2)Added support for delayed opening / closing of popups, when hovering with the mouse
(3)Added a property for an offset used for adjusting the position of the popup menus
(4)Modified the logic, so if the current popup window is switched, all sub popup menus are set to closed state, so they don't appear anymore when the switched popup is reopened.

point 1-3 doesn't change the behavior of existing menu systems
point 4 does

see thread: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=3&t=5230 [^]
Additional InformationAdded files:
CEGUICheckableMenuItem.h/cpp ==> new subclassed menuitem widget
CEGUICheckableMenuItemProperties.h/cpp ==> properties for the widget
FalCheckableMenuItem.h/cpp ==> falagard renderer for the widget

Tested with following configuration:
*Windows Vista/VS2008/OgreRenderer/Ogre 0.7.1(dx9 subsystem)
TagsNo tags attached.
Attached Filespatch file icon MenuSystemExtensions.patch [^] (70,666 bytes) 2010-11-01 20:37 [Show Content]
patch file icon menu_extensions.patch [^] (20,145 bytes) 2010-11-14 21:29 [Show Content]

- Relationships

-  Notes
(0000509)
Grimmigbeisser (reporter)
2010-11-14 21:32

the new patch version introduces a property to switch of the new close on hidden behavior, which is off by default (non behavior breaking).
The checkable menu item has been removed from the new patch version.
(0000511)
Kulik (administrator)
2010-11-15 14:18

I have renamed some properties a little bit, fixed one bug (probably just an oversight with 0 != d_listItem[i]) and committed.

r2691

- Issue History
Date Modified Username Field Change
2010-11-01 20:37 Grimmigbeisser New Issue
2010-11-01 20:37 Grimmigbeisser File Added: MenuSystemExtensions.patch
2010-11-14 16:13 Kulik Status new => assigned
2010-11-14 16:13 Kulik Assigned To => Kulik
2010-11-14 21:29 Grimmigbeisser File Added: menu_extensions.patch
2010-11-14 21:32 Grimmigbeisser Note Added: 0000509
2010-11-15 14:18 Kulik Note Added: 0000511
2010-11-15 14:18 Kulik Status assigned => resolved
2010-11-15 14:18 Kulik Resolution open => fixed
2010-11-15 14:18 Kulik Fixed in Version 0.8.3 => Mercurial: default branch
2010-11-15 14:18 Kulik Target Version 0.8.3 => 0.7.5
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker